/*-
 * Copyright (c) 2003-2004 Robert N. M. Watson
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $FreeBSD$
 */

#ifndef _DEV_ETHERCONS_ETHERCONS_H_
#define	_DEV_ETHERCONS_ETHERCONS_H_

#ifdef _KERNEL
struct ifnet;
struct ether_header;
struct mbuf;
void	ethercons_input(struct ifnet *ifp, struct ether_header *eh,
	    struct mbuf *m);
void	ethercons_transmit(int len, char *buffer);
void	ethercons_tty_intr(char c);
#endif

struct ethercons_header {
#if BYTE_ORDER == BIG_ENDIAN
	u_int16_t	eh_version;
	u_int16_t	eh_flags;
#else
	u_int16_t	eh_flags;
	u_int16_t	eh_version;
#endif
} __packed;

#define	ETHERCONS_VERSION	0x0001

#define	ETHERCONS_FLAG_INPUT	0x0001

#endif /* !_DEV_ETHERCONS_ETHERCONS_H_ */
